Tasuku
ReferenceAPI referenceRepositories

Queue a bounded worker-executed configuration readiness check

POST/organizations/{organization_id}/repositories/{repository_id}/readiness-checks

Authorization

tasuku_session<token>

In: cookie

Path Parameters

organization_id*string
Length1 <= length <= 128
repository_id*string
Length1 <= length <= 128

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/organizations/string/repositories/string/readiness-checks"
{  "data": {    "id": "string",    "repository_id": "string",    "workflow_run_id": "string",    "configuration_fingerprint": "string",    "status": "QUEUED",    "stages": [      {        "name": "string",        "status": "QUEUED",        "detail": "string"      }    ],    "sanitized_error": "string",    "started_at": "2019-08-24T14:15:22Z",    "finished_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z"  }}